<?php require_once('../../Connections/cn.php'); ?>
<?php require_once('../../Connections/conn.php'); ?>
<?php
header("Content-Type:text/html; charset=utf-8");
$carrera=$_GET['carrera'];
$cedula_usuario=$_GET['cedula'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
// Datos del alumno
$sql = "SELECT id_alumno,cedula,apellidos, nombres,tipo_doc FROM alumnos where cedula='$cedula_usuario' or id_alumno='$cedula_usuario'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];
$cedula= $row['cedula'];

$apellidos= $row['apellidos'];
$nombres= $row['nombres'];

$tipodoc=$row['tipo_doc'];
if(substr($tipodoc,0,1)=="C") {
	    $documento=utf8_decode('CÉDULA: ');
		}
				else {	
		 $documento='PASAPORTE: ';}
//fin
$carrera='LCF';
//Datos de la Carrera
$query_rstCarreras1 = "SELECT * FROM carreras_alumno Where carreras_alumno.id_carrera='$carrera' and id_alumno='$id_alumno'";
$rstCarreras1 = mysql_query($query_rstCarreras1, $cn) or die(mysql_error());
$row_rstCarreras1 = mysql_fetch_assoc($rstCarreras1);
$totalRows_rstCarreras1 = mysql_num_rows($rstCarreras1);
$periodo_ingreso=$row_rstCarreras1['periodo_ingreso'];
$sede=$row_rstCarreras1['sede'];
$nivel=$row_rstCarreras1['nivel'];
$mencion=$row_rstCarreras1['mencion'];


if($nivel=="CG"){
   $nombre_mencion="COMPONENTE GENERAL";
}
if($nivel=="CIU"){
   $nombre_mencion="CURSO DE INTRODUCCIÓN UNIVERSITARIA";
}
if($nivel=="CP"){
   $query_rsmencion = "SELECT nombre_mencion from menciones where id_carrera='$id_carrera' and id_mencion='$mencion'";
	$rsmencion = mysql_query($query_rsmencion, $cn) or die(mysql_error());
	$row_rsmencion = mysql_fetch_assoc($rsmencion);
	$nombre_mencion=$row_rsmencion['nombre_mencion'];
	}

//Datos de la Carrera
$query_rstCarreras2 = "SELECT * FROM periodos Where id_periodo='$periodo_ingreso'";
$rstCarreras2 = mysql_query($query_rstCarreras2, $cn) or die(mysql_error());
$row_rstCarreras2 = mysql_fetch_assoc($rstCarreras2);
$totalRows_rstCarreras2 = mysql_num_rows($rstCarreras2);
$cohorte=$row_rstCarreras2['codigo'].':'.$row_rstCarreras2['descripcion'];

//Datos de la Carrera
$query_rstCarreras3 = "SELECT * FROM sedes Where codigo='$sede'";
$rstCarreras3 = mysql_query($query_rstCarreras3, $cn) or die(mysql_error());
$row_rstCarreras3 = mysql_fetch_assoc($rstCarreras3);
$totalRows_rstCarreras3 = mysql_num_rows($rstCarreras3);
$nombre_sede=$row_rstCarreras3['nombre_sede'];

//Datos de la Carrera
$query_rstCarreras = "SELECT * FROM carreras Where carreras.id_carrera='$carrera'";
$rstCarreras = mysql_query($query_rstCarreras, $cn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);
$nom_carrera=$row_rstCarreras['nombre_carrera'];
$num_materias=$row_rstCarreras['num_materias'];
$num_creditos=$row_rstCarreras['creditos_grado'];
if(strlen($nom_carrera)>75){
   $nom_carrera=substr($nom_carrera,0,74).'...';
   }

   
// Cálculo de la Situación Académica del Participante.
$iraa=indice($id_alumno,$carrera);
$iraa=number_format($iraa,4,",",".");

$materias_aprobadas=0;
$materias_aprobadas=materias_aprobadas($id_alumno,$carrera);
$materias_por_aprobar=0;
$materias_por_aprobar=$num_materias-$materias_aprobadas;

$creditos_aprobados=0;
$creditos_aprobados=creditos_aprobados($id_alumno,$carrera);
$creditos_por_aprobar=0;
$creditos_por_aprobar=$num_creditos-$creditos_aprobados;


$eficiencia=0;
$eficiencia=eficiencia($id_alumno,$carrera);
$eficiencia=number_format($eficiencia,2,",",".");


// Datos de las Materias
$queryMaterias = "SELECT semestre,id_materia,nombre_materia,uc FROM planes_estudio Where id_carrera='$carrera' and (id_mencion='$mencion' or id_mencion='COMUN') ORDER BY
planes_estudio.semestre Asc, planes_estudio.orden Asc, planes_estudio.id_materia";
$rowMaterias = mysql_query($queryMaterias, $cn) or die(mysql_error());
//$result = mysql_fetch_assoc($rstMaterias);
$rowsMaterias = mysql_num_rows($rowMaterias);

// Selecciono la Base de Datos. 

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1);
$pdf->ezSetCmMargins(1,2,2,1);

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode('<b>'."RECORD ACADÉMICO".'</b>'),14,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText('<b>'."ESTUDIANTE: ".'</b>'.utf8_decode($apellidos).", ".utf8_decode($nombres),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."PROGRAMA: ".'</b>'.$carrera.":".utf8_decode($nom_carrera),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("MENCIÓN: ").'</b>'.utf8_decode($nombre_mencion),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."$documento".'</b>'.$cedula.'<b>'.'   NIE:  '.'</b>'.$id_alumno.'<b>'.'   COHORTE:  '.'</b>'.$cohorte.'<b>'.'   SEDE:  '.'</b>'.$nombre_sede);
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("FECHA DE IMPRESIÓN: ").'</b>'.date("d/m/Y"));


$pdf->ezsetdy(-3);

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(7.5,4,3.6,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('num'=>'Nro.', 
              'sem'=>'Sem.', 
			  'codigo'=>utf8_decode('    Código'), 
              'nombre'=>'                            Nombre de la Unidad Curricular', 
              'uc'=>'U.C.',
			  'nota'=>'Nota ',
			  'lapso'=>'Lapso',
			  'seccion'=>utf8_decode('Sección ')); 
$smc = 0; 
// Convierte la Nota a Letras.
// $nota = new numerosALetras;
while ($row = mysql_fetch_row($rowMaterias)) { 
    $sem     = $row[0];    // Semestre de la Materia 
    $codigo  = $row[1];	   // C�digo de la Materia
    $nombre  = $row[2];    // Nombre de la Materia
	$uc      = $row[3];    // Cr�ditos de la Materia.
	//*****
	// Se obtienen las materias que el alumno ha cursado.
	mysql_select_db($database_cn, $cn);
	$query1 = "Select 
	historico_notas.nota,
	historico_notas.id_periodo,
	historico_notas.id_seccion,
	historico_notas.aprobacion,
	periodos.codigo,
	historico_notas.valoracion,
	historico_notas.cualitativa
	From
	historico_notas, periodos
	Where
	historico_notas.id_periodo=periodos.id_periodo and
	historico_notas.id_alumno = '$id_alumno' AND
	historico_notas.id_carrera = '$carrera' AND
	(historico_notas.mencion = '$mencion' or historico_notas.mencion = 'COMUN') AND
	(historico_notas.id_materia = '$codigo' OR instr(historico_notas.id_materia,'$codigo')>0)";

	// Ejecuta el Query.
	$result1 = mysql_query ($query1) or die (mysql_error()); 
	/*$row1 = mysql_fetch_row($result1);
	$nota    = $row1[0];    // nota 
	$lapso   = $row1[1];    // nota  
	$seccion = $row1[2];    // nota */
	$filas = mysql_num_rows($result1);
	$nota='';
	if($filas>0){
	while ($row1 = mysql_fetch_row($result1)) {
	    $aprobacion=$row1[3];
		$valoracion=$row1[5];
		if($valoracion=="CUANTITATIVA"){
		if($aprobacion=='REGULAR') {
		   $nota    = $row1[0];    // nota   
		   $seccion = $row1[2];    // nota
		}
		else {
		   $nota    = 'Aprobada';    // nota 
		   $seccion = 'Equivalencia';    // nota
		}
		}
		else{
		   $nota    = $row1[6];
		   $seccion = $row1[2]; 
		}
		$lapso   = $row1[4];       
	}
	} 
	//*** 
	if($nota=='') {
       	$nota    = 'NC ';    // nota 
		$lapso   = '-';    // nota  
		$seccion = '-';    // nota
    }
 
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('num'=>$smc,
	                'sem'=>$sem,
	                'codigo'=>$codigo, 
                    'nombre'=>utf8_decode($nombre), 
                    'uc'=>$uc, 
					'nota'=>$nota, 
					'lapso'=>$lapso, 
                    'seccion'=>$seccion); 
} 

					
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>9, 
'cols'=>array('num'=>array('justification'=>'center')
             ,'sem'=>array('justification'=>'center') 
			 ,'codigo'=>array('justification'=>'left') 
             ,'uc'=>array('justification'=>'center') 
             ,'nota'=>array('justification'=>'right')
			 ,'lapso'=>array('justification'=>'center') 
             ,'seccion'=>array('justification'=>'center')) 
));// salida 
$pdf->ezsetdy(-5);
$pdf->ezSetCmMargins(1,2,2,2);
$pdf->ezText(utf8_decode('<b>'."NOTA: ".'</b>'."La Escala de Calificaciones está comprendida del UNO (1) al VEINTE (20), ambas inclusive.  La calificación mínima aprobatoria es de DIEZ (10) puntos. Los estudiantes, al terminar la carga académica, deben tener acumulado como mínimo un Indice de Rendimiento Académico de 12,00."),7,array('justification'=>'full'));

// Pie de Pagina
$pdf->Rectangle(58,40,500,53);
			$pdf->addText(270,80,10,'<b>'.utf8_decode('RESUMEN ACADÉMICO').'</b>');
			$pdf->line(58,75,558,75); 
			$pdf->addText(65,65,9,'Asignaturas del Programa');
			$pdf->addText(175,65,9,':');
			$pdf->addText(180,65,9,$num_materias);
			$pdf->addText(270,65,9,'Asignaturas Aprobadas');
			$pdf->addText(365,65,9,':');
            $pdf->addText(370,65,9,$materias_aprobadas);
			$pdf->addText(435,65,9,'Asignaturas por Aprobar');
			$pdf->addText(535,65,9,':');
			if($materias_por_aprobar<0){
			   $materias_por_aprobar=0;
			}
			$pdf->addText(540,65,9,$materias_por_aprobar);
			$pdf->addText(65,55,9,utf8_decode('Créditos del Programa'));
			$pdf->addText(175,55,9,':');
			$pdf->addText(180,55,9,$num_creditos);
			$pdf->addText(270,55,9,utf8_decode('Créditos Aprobados'));
			$pdf->addText(365,55,9,':');
			 $pdf->addText(370,55,9,$creditos_aprobados);
			$pdf->addText(435,55,9,utf8_decode('Créditos por Aprobar'));
			$pdf->addText(535,55,9,':');
			if($creditos_por_aprobar<0){
			   $creditos_por_aprobar=0;
			}
			$pdf->addText(540,55,9,$creditos_por_aprobar);
			$pdf->addText(65,45,9,'Indice de Rendimiento');
			$pdf->addText(175,45,9,':');
			$pdf->addText(180,45,9,$iraa);
			$pdf->addText(270,45,9,'Eficiencia');
			$pdf->addText(365,45,9,':');
			 $pdf->addText(370,45,9,$eficiencia.' %');
if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 


function indice($id_alumno, $id_carrera)
{
   // Función que calcula el Indice Académico de un Alumnno.
   global $conn;
	// Busco todas las calificaciones del participante en el programa del cual egresará.
   $sql_ira ="SELECT historico_notas.id_materia,historico_notas.nota, historico_notas.aprobacion, materias.uc FROM historico_notas, materias WHERE historico_notas.id_alumno='$id_alumno' AND historico_notas.id_carrera='$id_carrera' and historico_notas.id_materia=materias.id_materia ";
   $rst_ira = mysql_query ($sql_ira,$conn ) or die (mysql_error()); 

   
   // Inicializo variables.
   $total_notas=0;
   $total_uc=0;
   $ira=0;
   while($row_ira = mysql_fetch_assoc($rst_ira))
   {

	  $nota      = $row_ira['nota'];    // Nota
	  $aprobacion= $row_ira['aprobacion'];    // Forma de Aprobacion
      $creditos  = $row_ira['uc'];    // Unidades Crédito de la Materia 
	  if($aprobacion=="REGULAR") {
		 $total_notas=$total_notas+($nota*$creditos);
		 $total_uc=$total_uc+$creditos;
      }
	}
	if($total_uc==0){
	   $ira=0;
	 } 
	else{ 
	   $ira=$total_notas/$total_uc;
	}
	return $ira;
}

function materias_aprobadas($id_alumno, $id_carrera)
{
   // Función que calcual el Indice Académico de un Alumnno.
   global $conn;
	//Busco todas las calificaciones del participante en el programa del cual egresará.
   $sql_aprobadas ="SELECT historico_notas.id_materia,historico_notas.nota, historico_notas.aprobacion FROM historico_notas WHERE historico_notas.id_alumno='$id_alumno' AND historico_notas.id_carrera='$id_carrera'";
   $rst_aprobadas = mysql_query ($sql_aprobadas,$conn ) or die (mysql_error()); 

   // Inicializo variables.
   $aprobadas=0;
   while($row_aprobadas = mysql_fetch_assoc($rst_aprobadas))
   {
      $codigo  = $row_aprobadas['id_materia'];	   // C�digo de la Materia
	//*****
	// Se obtienen las materias que el alumno ha cursado.
	mysql_select_db($database_conn, $conn);
	$query1 = "Select
	*
	From
	materias
	Where
	id_materia= '$codigo' and id_carrera='$id_carrera'";
	// Ejecuta el Query.
	$result1 = mysql_query ($query1) or die (mysql_error()); 
	$filas = mysql_num_rows($result1);
	$nota='';
	if($filas>0){
	  $nota      = $row_aprobadas['nota'];    // Nota
	  $aprobacion= $row_aprobadas['aprobacion'];    // Forma de Aprobacion
      $creditos  = $row_aprobadas['uc'];    // Unidades Crédito de la Materia 
	  if(($nota>=3) || ($aprobacion=='EQUIVALENCIA')) {
		 $aprobadas=$aprobadas+1;
	  }
	 } 
	  
	}
	return $aprobadas;
}

function creditos_aprobados($id_alumno, $id_carrera)
{
   // Función que calcual el Indice Académico de un Alumnno.
   global $conn;
	//usco todas las calificaciones del participante en el programa del cual egresará.
   $sql_ca ="SELECT historico_notas.id_materia,historico_notas.nota, historico_notas.aprobacion, materias.uc FROM historico_notas, materias WHERE historico_notas.id_alumno='$id_alumno' AND historico_notas.id_carrera='$id_carrera' and historico_notas.id_materia=materias.id_materia and historico_notas.id_carrera=materias.id_carrera ";
   $rst_ca = mysql_query ($sql_ca,$conn ) or die (mysql_error()); 

   
   // Inicializo variables.
   $aprobados=0;
   while($row_ca = mysql_fetch_assoc($rst_ca))
   {
	  $nota      = $row_ca['nota'];    // Nota
	  $aprobacion= $row_ca['aprobacion'];    // Forma de Aprobacion
     
	  if(($nota>=3) || ($aprobacion=="EQUIVALENCIA")) {
	     $aprobados=$aprobados+$row_ca['uc'];
      }
	}
	
	return $aprobados;
}

function eficiencia($id_alumno, $id_carrera)
{
   // Función que calcual el Indice Académico de un Alumnno.
   global $conn;
	//Busco todas las calificaciones del participante en el programa del cual egresará.
   $sql_ira ="SELECT historico_notas.id_materia,historico_notas.nota, historico_notas.aprobacion, materias.uc FROM historico_notas, materias WHERE historico_notas.id_alumno='$id_alumno' AND historico_notas.id_carrera='$id_carrera' and historico_notas.id_materia=materias.id_materia and historico_notas.id_carrera=materias.id_carrera ";
   $rst_ira = mysql_query ($sql_ira,$conn ) or die (mysql_error()); 

   
   // Inicializo variables.
   $suma_notas=0;
   $total_notas=0;
   $promedio=0;
   while($row_ira = mysql_fetch_assoc($rst_ira))
   {

	  $nota      = $row_ira['nota'];    // Nota
	  $aprobacion= $row_ira['aprobacion'];    // Forma de Aprobacion
     
	  if($aprobacion=="REGULAR") {
	     if($nota>=3){
		    $aprobadas=$aprobadas+1;
		 }
		 else{
		    $reprobadas=$reprobadas+1;
		}
      }
	}
	if((($aprobadas+$reprobadas)*100)==0){
	   $eficiencia=0;
	   }
	else{
	   $eficiencia=$aprobadas/($aprobadas+$reprobadas)*100;
	}
	return $eficiencia;
}

 ?>

